﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
<table style="margin-left: 20px;" border="0">
    <tr>
        <td nowrap="nowrap">
            Supplier Code<b style="color: Red;">*</b>
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPSupplierProduct";
                    gridLookup.Width = 150;
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(320);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridProduct" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td nowrap="nowrap">
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Product Name";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtProductName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 120;
                    settings.Properties.MaxLength = 50;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Start Production";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            <table>
                <tr>
                    <td width="80%">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "txtStartProductionProduct";
                                settings.ControlStyle.Wrap = DefaultBoolean.False;
                                settings.Width = 160;
                                settings.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                            }
                        ).GetHtml()
                    </td>
                    <td width="20%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnClearStartProduction";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Clear";
                            btnSettings.Width = 50;
                            btnSettings.ClientSideEvents.Click = "ClearStartProd";
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtItemNoProduct";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 10;
                    settings.ClientVisible = false;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Automotive Customer";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = Unit.Pixel(150);
                }
            ).GetHtml()            
        </td>
        <td colspan="3">
            <table>
                <tr style="vertical-align:top">
                    <td>
                        @Html.Common().DevExpress().GridLookup(
                        gridLookup =>
                        {
                            gridLookup.Name = "AutomotiveCustomerGridLookup";
                            gridLookup.Width = Unit.Pixel(50);
                            gridLookup.ShowDescription = true;
                            gridLookup.DescriptionWidth = Unit.Pixel(100);
                            gridLookup.GridProperties.KeyFieldName = "AUTO_CUSTOMER_CD;AUTO_CUSTOMER_NAME";
                            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialHeaderAutomotiveCustomerGridLookupSuppInfo" };
                            gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            gridLookup.GridProperties.ClientSideEvents.RowClick = "AutoOther";
                            gridLookup.ReadOnly = true;
                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "AUTO_CUSTOMER_CD";
                                column.FieldName = "AUTO_CUSTOMER_CD";
                                column.Caption = "Automotive<br />Customer";
                                column.Width = Unit.Pixel(80);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "AUTO_CUSTOMER_NAME";
                                column.FieldName = "AUTO_CUSTOMER_NAME";
                                column.Caption = "Automotive<br />Customer Name";
                                column.Width = Unit.Pixel(80);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                        }).Bind(ViewData["AutomotiveGridLookup"]).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "txtOtherAuto";
                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                            settings.Width = 100;
                            //settings.Properties.MaxLength = 10;
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Market Share (%)";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtMarketShare";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    settings.Number = 0;
                    settings.Properties.MaxLength = 8;
                    settings.Properties.DecimalPlaces = 4;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 100;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Biggest Competitor";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtBiggest";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 120;
                    settings.Properties.MaxLength = 50;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Share Of Competitor (%)";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtShareCompetitor";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    settings.Number = 0;
                    settings.Properties.MaxLength = 8;
                    settings.Properties.DecimalPlaces = 4;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="3"></td>
        <td style="float:right">
            <table>
                <tr>
                    <td width="50%" align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveProduct";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewProduct";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewProduct";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewProduct";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
